# $Revision: 1.35 $, $Date: 2004/08/18 15:50:55 $
Summary:	Fonts on Linux console
Summary(pl):	Fonty na konsoli Linuksa
Name:		fonty
Version:	1.0
Release:	8
License:	GPL
Group:		Applications/Text
Source0:	http://qrczak.ids.net.pl/programy/linux/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	47e6886b287f175377c0d2d338d12a6e
Source1:	iso02grf.psf.gz
# Source1-md5:	178c094c51c202731358168f5f93b4c1
Patch0:		%{name}-amd64.patch
URL:		http://qrczak.ids.net.pl/programy/linux/fonty/
BuildRequires:	perl
Requires:	console-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Fonty package contains various fonts for Linux text console and
dynafont - a tool which allows displaying texts containing thousands
of different characters.

%description -l pl
Niniejszy pakiet zawiera rne czcionki dla konsoli tekstowej Linuksa
oraz dynafont - narzdzie pozwalajce wywietla teksty zawierajce
tysice rnych znakw.

%prep
%setup -q
%ifarch amd64
%patch0 -p1
%endif

%build
OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"
OPTFLAGS="$OPTFLAGS -fno-rtti -fno-exceptions"
%{__make} \
	CXXFLAGS="$OPTFLAGS" \
	consoleprefix=%{_prefix} \
	konwertprefix=%{_prefix} \
	perl=/usr/bin/perl \
	docdir=%{_docdir}/%{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	consoleprefix=$RPM_BUILD_ROOT%{_prefix} \
	konwertprefix=$RPM_BUILD_ROOT%{_prefix} \
	perl=%{_bindir}/perl \
	docdir=$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/consolefonts

rm -f doc/pl/{DO_ZROBIENIA,ZMIANY}
cp -a doc/en/TODO doc/pl/DO_ZROBIENIA
cp -a doc/en/CHANGES doc/pl/ZMIANY

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/en
%doc %lang(pl) doc/pl
%{_datadir}/consolefonts/*
# consoletrans/qrczak.fallback conflicts with console-data
# and is useless with kbd (kbd doesn't support fallback tables)
#%%{_datadir}/consoletrans/*
%attr(755,root,root) %{_libdir}/konwert/aux/dynafont
%attr(755,root,root) %{_datadir}/konwert/filters/dynafont

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fonty.spec,v $
Revision 1.35  2004/08/18 15:50:55  havner
- rel 8

Revision 1.34  2004/08/18 15:46:01  havner
- amd64 fix

Revision 1.33  2003/11/26 23:38:21  speedy
- release 7

Revision 1.32  2003/05/28 12:58:56  malekith
- massive attack: source-md5

Revision 1.31  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.30  2003/05/25 05:47:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/02/28 10:07:55  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2002/10/12 16:49:37  kloczek
- realy release 6 :)

Revision 1.27  2002/10/12 16:43:10  qboosh
- removed qrczak.fallback (conflicts with console-data, useless with kbd)
- new %%doc, release 6

Revision 1.26  2002/07/03 09:24:04  wolf
- spelling

Revision 1.25  2002/06/15 14:45:31  maryush
- added missing file (/usr/share/consoletrans/qrczak.fallback.gz)

Revision 1.24  2002/06/15 11:46:25  ankry
- removed %%lang(en)
- release 5

Revision 1.23  2002/04/25 16:18:46  arturs
fixed a small typo

Revision 1.22  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:12:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/05/02 16:29:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.19  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.18  2000/12/30 00:06:41  qboosh
- really use RPM_OPT_FLAGS
- updated URLs

Revision 1.17  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.13  1999/11/07 15:05:33  alchemyx
removed conflict with console-data

Revision 1.12  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.11  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [1.0-1]
- spec cleanp

* Tue Jan 26 1999 Micha Kuratczyk <kurkens@polbox.com>
- added "Group(pl)"

* Sat Nov 28 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0-1]
- simplification in %files,
- removed "Prereq: perl".

* Fri Sep 20 1998 Marcin 'Qrczak' Kowalczyk <qrczak@knm.org.pl>
- First release in RPM
